%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	IO-Zlib

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	IO:: style interface to Compress::Zlib
Name:		perl-%{perlname}
Version:	1.08
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=IO+Zlib
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
IO:: style interface to Compress::Zlib
For more details see: http://www.cpan.org/modules/by-authors/id/T/TO/TOMHUGHES/IO-Zlib.readme

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.08-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.04-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.04-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.04-1
- Initial Release
